Bug 5877 - Require email confirmation of user registration
Require email confirmation of user registration
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: General
To be determined
PC Mac OS X 10.6
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 20:08 PDT by James MacGregor
Modified: 2013-05-29 16:04 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.4, OMP 1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-09-02 20:08:09 PDT
Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=6511&p=25052#p25052, and similar to how password reset currently works: require users click a special link, sent to them via email, to complete registration. This mandates that the email address is theirs. The concern is that otherwise, people could register as someone else; I think this might work as a reasonable spam registration deterrent as well (current forum spam problems notwithstanding).
Comment 1 Alec Smecher 2010-09-24 08:44:56 PDT
James, check out the require_validation option in config.inc.php.
Comment 2 ushasharma84 2010-10-01 00:18:40 PDT
Hi
We urgently need this patch. Can it be fixed soon?
Thanks all